"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = installAppiumServer;
var _shelljs = _interopRequireDefault(require("shelljs"));
var _ora = _interopRequireDefault(require("ora"));
var _logger = _interopRequireDefault(require("./logger"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ui = new _logger.default().getInstance();
async function installAppiumServer() {
  newLine();
  const spinner = (0, _ora.default)('Installing Appium Server').start();
  try {
    _shelljs.default.exec('npm install -g appium@next');
    const {
      stdout
    } = _shelljs.default.exec('appium -v');
    spinner.succeed(`💥 💥 💥 Successfully installed server version ${stdout}`);
  } catch (err) {
    spinner.fail(err);
    throw new Error(err);
  } finally {
    spinner.stop();
  }
}
function newLine() {
  ui.log.write('\n');
}